# test_req1.pl - 25 August 2009 - testing 'require', for variables
use strict;
use warnings;
require 'test_req2.pl' or die "Unable to load test_req2.pl!\n";
our($testv01, $testv02);
my $test = $testv01;
print $test;
$test = $testv02;
print $test;
$test = "A new string";
print "Change \$testv02 to [$test]\n";
$testv02 = $test;
print "Print \$testv02 to [$testv02]\n";
sub dispSymbols {
    my ($hashRef) = shift;
    my (%symbols);
    my (@symbols);
    %symbols = %{$hashRef};
    @symbols = sort(keys(%symbols));
    my $msg = '';
    my $cnt = 0;
    foreach (@symbols) {
        $msg .= sprintf("%-10.10s| %s\n", $_, $symbols{$_});
        $cnt++;
    }
    prt($msg);
    return $cnt;
}

sub displayAllSymbols() {
    my $pack = __PACKAGE__;
    prt("Show defined symbols in package [$pack]\n");
    my $sym = '\%'.$pack.'::';
    my $cnt = dispSymbols(eval $sym);
    prt("Done show of $cnt symbols in package [$pack]\n");
}

displayAllSymbols();
